org.jboss.jca.validator.maven

## Class ValidatorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jboss.jca.validator.maven.ValidatorMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      public class ValidatorMojo
      extends org.apache.maven.plugin.AbstractMojo

  A ValidatorMojo.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorMojo()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Execute
    `java.lang.String[]` | `getClasspath()` Get the classpath.
    `java.lang.String` | `getOutputDir()` Get the output directory.
    `java.io.File` | `getRarFile()` Get the rarFile.
    `void` | `setClasspath(java.lang.String[] classpath)` Set the classpath.
    `void` | `setOutputDir(java.lang.String outputDir)` Set the output directory.
    `void` | `setRarFile(java.io.File rarFile)` Set the rarFile.

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorMojo

          public ValidatorMojo()

      Constructor

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Execute
      Throws:
        `org.apache.maven.plugin.MojoExecutionException` - Thrown if the plugin cant be executed
        `org.apache.maven.plugin.MojoFailureException` - Thrown if there is an error

    - #### getOutputDir

          public java.lang.String getOutputDir()

      Get the output directory.
      Returns:
        the outputDir.

    - #### setOutputDir

          public void setOutputDir(java.lang.String outputDir)

      Set the output directory.
      Parameters:
        `outputDir` - The outputDir to set.

    - #### getRarFile

          public java.io.File getRarFile()

      Get the rarFile.
      Returns:
        the rarFile.

    - #### setRarFile

          public void setRarFile(java.io.File rarFile)

      Set the rarFile.
      Parameters:
        `rarFile` - The rarFile to set.

    - #### setClasspath

          public void setClasspath(java.lang.String[] classpath)

      Set the classpath.
      Parameters:
        `classpath` - The classpath to set.

    - #### getClasspath

          public java.lang.String[] getClasspath()

      Get the classpath.
      Returns:
        the classpath.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)